<?xml version="1.0" encoding="UTF-8"?>
<actions>
	<group title="Администрирование">
		<group title="Группы">
			<service id="1" name="UserGroupService" operation="getGroupList" title="Просмотр групп"/>
			<service id="2" name="UserGroupService" operation="getGroupById" title="Редактирование группы"/>
			<service id="4" name="UserGroupService" operation="updateGroup" title="Изменение разрешений группы"/>
			<service id="5" name="UserGroupService" operation="deleteGroup" title="Удаление группы"/>
		</group>

		<group title="Пользователи">
			<service id="10236" name="UserService" operation="userInfoGet" title="Данные пользователя"/>
			<service id="10255" name="UserService" operation="userInfoList" title="Список имён пользователей для отображения в клиенте"/>
			<service id="6" name="UserService" operation="findUsers" title="Поиск пользователей"/>
			<service id="304" name="UserService" operation="listUsers" title="Просмотр пользователей"/>
			<service id="7" name="UserService" operation="getUser" title="Просмотр пользователя"/>
			<service id="8" name="UserService" operation="updateUser" title="Изменение пользователя"/>
			<service id="9" name="UserService" operation="deleteUser" title="Удаление пользователя"/>
			<service id="10306" name="UserService" operation="contractParameters" title="Просмотр доступа пользователя к параметрам договора" />
			<service id="156" name="UserService" operation="userMenuRestrictionSet" title="userMenuRestrictionSet"/>
		</group>

		<group title = "Роли">
			<service id="10311" name="UserService" operation="userMenuList" title="userMenuList"/>
			<service id="10312" name="UserService" operation="userMenuDataDefault" title="userMenuDataDefault"/>
			<service id="10313" name="UserService" operation="getCurrentUserEmail" title="getCurrentUserEmail"/>
			<service id="10314" name="UserService" operation="userMenuRestriction" title="userMenuRestriction"/>

			<service id="10243" name="RoleService" operation="getRoles" title="Получение списка ролей"/>
			<service id="10285" name="RoleService" operation="getRoleItems" title="Отображение ролей" />
			<service id="10244" name="RoleService" operation="updateRole" title="Обновление роли"/>
			<service id="10245" name="RoleService" operation="deleteRole" title="Удаление роли"/>
			<service id="10246" name="RoleService" operation="getBGSActionGroups" title="Просмотр групп действий"/>
			<service id="10247" name="RoleService" operation="updateBGSActionGroup" title="Обновление группы действий"/>
			<service id="10248" name="RoleService" operation="deleteBGSActionGroup" title="Удаление группы действий"/>
			<service id="10250" name="RoleService" operation="updatePermissionKit" title="Изменение набора ограничений"/>
			<service id="10251" name="RoleService" operation="deletePermissionKit" title="Удаление набора ограничений"/>
			<service id="10307" name="RoleService" operation="getPermissionKitItems|getKitItems" title="Просмотр наборов ограничений"/>
			<service id="10308" name="RoleService" operation="searchUnregRequestRecordList" title="searchUnregRequestRecordList"/>
			<service id="10309" name="RoleService" operation="recheckUnregRequestRecordList" title="recheckUnregRequestRecordList"/>
			<service id="10310" name="RoleService" operation="getByRoleId" title="getByRoleId"/>
			<service id="10320" name="RoleService" operation="getByKitId" title="getByKitId"/>
			<service id="10336" name="RoleService" operation="searchRequestRecordLogList" title="searchRequestRecordLogList"/>
			<service id="10337" name="RoleService" operation="deleteRequestRecordLog" title="deleteRequestRecordLog"/>
			<service id="10338" name="RoleService" operation="stopRecordingActions" title="stopRecordingActions"/>
			<service id="10339" name="RoleService" operation="updateRequestLog" title="updateRequestLog"/>
			<service id="10340" name="RoleService" operation="startRecordingActions" title="startRecordingActions"/>
			<service id="3" name="RoleService" operation="clearUnregRequestRecordList" title="clearUnregRequestRecordList"/>
			<service id="22" name="RoleService" operation="actionDataRoot" title="actionDataRoot"/>
			<service id="23" name="RoleService" operation="actionExpressionDataGet" title="actionExpressionDataGet"/>
			<service id="24" name="RoleService" operation="actionExpressionDataList" title="actionExpressionDataList"/>
			<service id="25" name="RoleService" operation="actionExpressionDataUpdate" title="actionExpressionDataUpdate"/>
			<service id="40" name="RoleService" operation="actionExpressionDataDelete" title="actionExpressionDataDelete"/>			
		</group>

		<group title="Модули и услуги">
			<service id="10292" name="ModuleService" operation="moduleServiceList" title="Получение услуг модуля" />
			<service id="1007" name="ModuleService" operation="installedModuleList" title="Получение списка установленных модулей"/>
			<service id="10228" name="ModuleService" operation="installedPluginList" title="Получение списка установленных плагинов"/>
			<service id="10229" name="ModuleService" operation="componentInstall" title="Установка модуля/плагина"/>
			<service id="10230" name="ModuleService" operation="componentUninstall" title="Удаление модуля/плагина"/>
			<service id="10349" name="ModuleService" operation="moduleByNameList" title="moduleByNameList"/>
			<service id="14" name="ModuleService" operation="serviceList" title="Просмотр услуг"/>
			<action id="10" mask="module=service;action=GetModules" title="Просмотр модулей"/>
			<service id="10" name="ModuleService" operation="moduleList" title="Просмотр модулей"/>
			<action id="11" mask="module=service;action=GetModuleInfo" title="Просмотр модуля"/>
			<service id="11" name="ModuleService" operation="moduleGet" title="Просмотр модуля"/>
			<action id="12" mask="module=service;action=UpdateModule" title="Изменение модуля"/>
			<service id="12" name="ModuleService" operation="moduleUpdate" title="Изменение модуля"/>
			<service id="487" name="ModuleService" operation="moduleAdd" title="Добавление модуля"/>
			<action id="13" mask="module=service;action=DeleteModule" title="Удаление модуля"/>
			<service id="13" name="ModuleService" operation="moduleDelete" title="Удаление модуля"/>
			<action id="15" mask="module=service;action=UpdateService" title="Обновление услуги"/>
			<service id="10267" name="ModuleService" operation="serviceGet" title="Просмотр услуги"/>
			<service id="322" name="ModuleService" operation="contractModules" title="contractModules"/>
			<service id="15" name="ServiceService" operation="serviceUpdate" title="Обновление услуги"/>
			<action id="16" mask="module=service;action=DeleteService" title="Удаление услуги"/>
			<service id="16" name="ServiceService" operation="serviceDelete" title="Удаление услуги"/>
			<service id="10237" name="ServiceService" operation="contractModuleIds" title="Список кодов модулей договора"/>
			<service id="341" name="ModuleService" operation="serviceUpdate" title="serviceUpdate"/>
			<service id="342" name="ModuleService" operation="moduleUsedServiceList" title="moduleUsedServiceList"/>
			<service id="343" name="ModuleService" operation="componentAvailable" title="componentAvailable"/>
		</group>

		<group title="Журнал запросов">
			<action id="17" mask="module=admin.bgsecure;action=QueryLogTable" title="Просмотр журнала запросов"/>
		</group>

		<group title="Журнал web-запросов">
			<service id="485" name="ContractLoginService" operation="contractLoginLogAdd" title="Добавление записи в журнал авторизаций (для ЛК)"/>
			<action id="254" mask="module=admin;action=WebQueryLogTable" title="Просмотр журнала web-запросов"/>
			<action id="255" mask="module=admin;action=WebLogonLog;logType=ok" title="Просмотр лога успешных авторизаций"/>
			<action id="256" mask="module=admin;action=WebLogonLog;logType=error" title="Просмотр лога неуспешных авторизаций"/>
		</group>

		<group title="Настройка Личного кабинета (Web)">
			<service id="1002" name="WebService" operation="webMenuContractList" title="Список Web-меню" />
			<service id="1003" name="WebService" operation="setWebMenuIdForContract" title="Смена Web-меню для договора" />
			<service id="316" name="BGWebService" operation="setWebMenuIdForContract" title="setWebMenuIdForContract"/>
			<service id="344" name="BGWebService" operation="getComponentList" title="getComponentList"/>
			<service id="345" name="BGWebService" operation="getContractSearchModuleList" title="getContractSearchModuleList"/>
		</group>

		<group title="Журнал ошибок">
			<action id="409" mask="module=service;action=ErrorLogList" title="Просмотр ошибок обработки логов"/>
			<action id="410" mask="module=admin.errorlog;action=GetPeriodicErrors" title="Просмотр журнала периодических ошибок"/>
		</group>

		<group title="Конфигурация сервера">
			<service id="18" name="ConfigService" operation="moduleConfigList" title="Список конфигурации"/>
			<service id="19" name="ConfigService" operation="moduleConfigGet" title="Просмотр конфигурации"/>
			<service id="20" name="ConfigService" operation="moduleConfigUpdate|moduleConfigDelete" title="Обновление конфигурации"/>
			<service id="21" name="ConfigService" operation="moduleConfigActiveSet" title="Установка конфигурации"/>
			<action id="278" mask="module=admin;action=SetClosedDate" title="Установка даты закрытого периода"/>
		</group>

		<group title="Конфигурация плагинов">
	        <action id="405" mask="module=admin.plugincfg;action=GetPluginInfoConfig" title="Просмотр конфигурации плагина"/>
	        <service id="405" name="PlugincfgService" operation="getPlugin" title="Просмотр конфигурации плагина"/>
	        <action id="406" mask="module=admin.plugincfg;action=UpdatePlugin" title="Обновление конфигурации плагина"/>                  
			<service id="406" name="PlugincfgService" operation="updatePlugin" title="Обновление конфигурации плагина"/>
	        <action id="407" mask="module=admin.plugincfg;action=GetPlugins" title="Получение списка плагинов"/>
	        <service id="407" name="PlugincfgService" operation="getPlugins" title="Получение списка плагинов"/>
		</group>
		
		<service id="10322" name="AdminService" operation="getModules" title="getModules"/>
		<service id="323" name="AdminService" operation="getContractEntriesFromSqlQuery" title="getContractEntriesFromSqlQuery"/>
		<service id="324" name="AdminService" operation="getContractEntries" title="getContractEntries"/>
		<service id="529" name="AdminService" operation="appInfoItemList" title="appInfoItemList"/>

		<service id="10323" name="BGWebService" operation="webMenuList" title="webMenuList"/>
		<service id="325" name="BGWebService" operation="webLimitHandlerGroupParameters" title="webLimitHandlerGroupParameters"/>
		<service id="326" name="BGWebService" operation="webLimitHandlerGeneralParameters" title="webLimitHandlerGeneralParameters"/>
		<service id="327" name="BGWebService" operation="webLimitHandlers" title="webLimitHandlers"/>
		<service id="220" name="AdminService" operation="periodicProcessErrorMessageSearch" title="periodicProcessErrorMessageSearch"/>
		
		<service id="45" name="BGWebService" operation="webMenuDataUpdate" title="webMenuDataUpdate"/>
		<service id="46" name="BGWebService" operation="webMenuDataGet" title="webMenuDataGet"/>
		<service id="47" name="BGWebService" operation="webMenuPluginItems" title="webMenuPluginItems"/>
		<service id="48" name="BGWebService" operation="webMenuModuleItems" title="webMenuModuleItems"/>
		<service id="49" name="BGWebService" operation="webMenuKernelItems" title="webMenuKernelItems"/>
		<service id="50" name="BGWebService" operation="webActionOperations" title="webActionOperations"/>
		<service id="51" name="BGWebService" operation="webMenuContractList" title="webMenuContractList"/>
		<service id="204" name="BGWebService" operation="getIconFiles" title="getIconFiles"/>
		<service id="211" name="BGWebService" operation="getIconDirs" title="getIconDirs"/>
		<service id="212" name="BGWebService" operation="webMenuInfoUpdate" title="webMenuInfoUpdate"/>		
		
	</group>
	<group title="Сервис">	
		<group title="Менеджер договоров">
			<group title="Управление архивом">
				<action id="26"  mask="module=contract;action=ArchiveInfo" title="Просмотр архивов"/>
				<action id="27"  mask="module=contract;action=GetArchiveContent" title="Просмотр архива"/>
				<action id="28"  mask="module=contract;action=ArchiveRestore" title="Восстановление договора из архива"/>
				<action id="29"  mask="module=contract;action=ArchiveRestoreClone" title="Восстановление клона договора из архива"/>
			</group>
			<group title="Правила удаления договоров">
				<service id="30" name="ContractRemoveRuleService" operation="getContractRemoveRules" title="Получение списка правил"/>
				<service id="31" name="ContractRemoveRuleService" operation="updateContractRemoveRule" title="Добавление/Обновление правил"/>
				<service id="32" name="ContractRemoveRuleService" operation="delete" title="Удаления правил"/>
			</group>
			<group title="Автоматизация">
				<group title="Импорт договоров">
					<service id="10254" name="LoaderService" operation="doUtil" title="Запуск утилиты"/>
				</group>
			</group>
		</group>

		<group title="Планировщик заданий">
	        <action id="36" mask="module=admin;action=ShowScheduledTask" title="Просмотр списка задач"/>
	        <service id="36" name="SchedulerService" operation="getSchedulerTasks" title="Просмотр списка задач"/>
	        <service id="1028" name="SchedulerService" operation="getModuleAndPluginList" title="Получение списка модулей и плагинов"/>
	        <service id="1030" name="SchedulerService" operation="getAvailableSchedulerTasks" title="Получение списка доступных задач"/>
	        <action id="37"  mask="module=admin;action=GetScheduledTaskInfo" title="Просмотр задачи(устаревший)"/>
	        <service id="38" name="SchedulerService" operation="updateTask" title="Изменение задачи"/>
	        <action id="38"  mask="module=admin;action=GetScheduledTaskInfo" title="Изменение задачи"/>         
	        <action id="39"  mask="module=admin;action=DeleteScheduledTask" title="Удаление задачи"/>
	        <service id="39" name="SchedulerService" operation="deleteTask" title="Удаление задачи"/>
	        <service id="488" name="SchedulerService" operation="getTaskLog" title="Просмотр статистики планировщика"/>
	        <service id="1029" name="SchedulerService" operation="getActiveTaskCount" title="Просмотр количества активных задач"/>
	        <service id="1031" name="SchedulerService" operation="getRunningTaskList" title="Просмотр очереди запущенных задач"/>
	        <service id="1032" name="SchedulerService" operation="getPeriodicTaskList" title="Просмотр очереди запущенных периодических задач"/>
	        <service id="328" name="SchedulerService" operation="immediateRunOneTask" title="immediateRunOneTask"/>
			<service id="329" name="SchedulerService" operation="immediateRun" title="immediateRun"/>
			<service id="508" name="SchedulerService" operation="getTaskParameters" title="getTaskParameters"/>			
		</group>

		<group title="Функции скриптов поведения">
			<action id="52" mask="module=script;action=FunctionTable" title="Просмотр список функций"/>
			<service id="52" name="EventScriptService" operation="getEventLinksByScript" title="Просмотр список функций"/>
			<action id="53" mask="module=script;action=GetFunction" title="Просмотр функции BGBS"/>
			<action id="54" mask="module=script;action=UpdateFunction" title="Изменение функции"/>
			<service id="54" name="EventScriptService" operation="updateEventScriptLink" title="Изменение функции"/>
			<action id="55" mask="module=script;action=DeleteFunction" title="Удаление функции"/>
			<service id="55" name="EventScriptService" operation="deleteEventScriptLink" title="Удаление функции"/>
			<service id="10357" name="EventScriptService" operation="getSuperclassName" title="getSuperclassName"/>
			<service id="10358" name="EventScriptService" operation="getInterfaceName" title="getInterfaceName"/>
			<service id="10359" name="EventScriptService" operation="getScriptList" title="getScriptList"/>
			<service id="10360" name="EventScriptService" operation="getEventTypeList" title="getEventTypeList"/>
			<service id="330" name="EventScriptService" operation="deleteFunction" title="deleteFunction"/>
		</group>
		
		<group title="Библиотеки скриптов поведения">
			<service id="271" name="ScriptService" operation="list|pureList" title="Просмотр библиотек"/>
			<!-- action id="272" mask="module=script;action=UpdateLib" title="Изменение бибилиотеки"/ -->
			<action id="273" mask="module=script;action=ScriptLibraryDelete" title="Удаление бибилиотеки"/>
			<!-- action id="274" mask="module=script;action=GetLibFunctionList" title="Просмотр функций библиотеки"/ -->
			<action id="275" mask="module=script;action=ScriptLibraryGet" title="Просмотр функции BeanShell"/>
			<service id="299" name="ScriptService" operation="getLibrary" title="Просмотр функции java"/>
			<action id="276" mask="module=script;action=ScriptLibraryUpdate" title="Изменение функции BeanShell"/>
			<service id="300" name="ScriptService" operation="update" title="Изменение функции"/>
			<!-- action id="277" mask="module=script;action=DeleteLibFunction" title="Удаление функции"/ -->
			<service id="331" name="ScriptService" operation="deleteLibrary" title="deleteLibrary"/>
			<service id="332" name="ScriptService" operation="listBackup" title="listBackup"/>	
			<service id="509" name="ScriptService" operation="backup" title="backup"/>
		</group>
		<group title="Глобальные скрипты поведения">
			<action id="288" mask="module=script.global;action=GlobalScriptTable" title="Просмотр списка скриптов"/>
			<action id="289" mask="module=script.global;action=GetGlobalScript" title="Просмотр кода скрипта"/>
			<action id="290" mask="module=script.global;action=UpdateGlobalScript" title="Изменение скрипта"/>
			<action id="291" mask="module=script.global;action=DeleteGlobalScript" title="Удаление скрипта"/>
			<action id="292" mask="module=script.global;action=ExecuteScript" title="Выполнение скрипта"/>
			<action id="293" mask="module=script.global;action=GetGlobalScriptLogs" title="Просмотр логов"/>
		</group>
		<group title="Управление динамическим кодом" >
			<service id="420" name="DynamicCodeService" operation="getDynamicClasses" title="Просмотр списка классов динамического кода"/>
			<service id="10221" name="DynamicCodeService" operation="getDynamicClassesByInterface" title="Запрос списка классов реализующих заданный интерфейс"/>
			<service id="421" name="DynamicCodeService" operation="getSource" title="Просмотр динамического класса"/>
			<service id="422" name="DynamicCodeService" operation="generateCode" title="Создание динамического класса"/>
			<service id="423" name="DynamicCodeService" operation="updateSource" title="Редактирование динамического класса"/>
			<service id="424" name="DynamicCodeService" operation="deleteClasses" title="Удаление динамических классов"/>
			<service id="425" name="DynamicCodeService" operation="compile" title="Компиляция динамического класса"/>
			<service id="426" name="DynamicCodeService" operation="recompileAll" title="Перекомпиляция всех динамических классов"/>
			<service id="427" name="DynamicCodeService" operation="run" title="Выполнение динамического класса"/>
			<service id="10318" name="DynamicCodeService" operation="isClassExists" title="isClassExists"/>
			<service id="10319" name="DynamicCodeService" operation="getTemplateList" title="getTemplateList"/>
			<service id="534" name="DynamicCodeService" operation="getExcludeCompilationResources" title="getExcludeCompilationResources"/>
			<service id="535" name="DynamicCodeService" operation="updateExcludeCompilationResources" title="updateExcludeCompilationResources"/>
			<service id="536" name="DynamicCodeService" operation="getTemplateById" title="getTemplateById"/>
		</group>	
		<group title="Загрузка платежей и расходов из файла">
			<action id="56" mask="module=admin.integration;action=RegisterTable" title="Просмотр реестров"/>
			<action id="57" mask="module=admin.integration;action=LoadRegister" title="Загрузка реестра"/>
			<action id="58" mask="module=admin.integration;action=ProcessRegister" title="Обработка реестра"/>
			<action id="59" mask="module=admin.integration;action=RollBackRegister" title="Откат реестра"/>
			<action id="60" mask="module=admin.integration;action=DeleteRegister" title="Удаление реестра"/>
		</group>
		<group title="Монитор статуса">
			<service id="261" name="ContractStatusService" operation="createBalanceDump" title="Создание среза балансов" />
			<service id="262" name="ContractStatusService" operation="contractSearch" title="Просмотр статусов" />
			<service id="346" name="ContractStatusService" operation="statusFutureTasks" title="statusFutureTasks"/>
			<service id="347" name="ContractStatusService" operation="statusFutureTaskCancel" title="statusFutureTaskCancel"/>
		</group>
		<group title="База данных">
			<service id="10205" name="DatabaseService" operation="getModulePluginList" title="Список модулей и плагинов" />
			<service id="10225" name="DatabaseService" operation="searchTableNames" title="Список таблиц" />
			<service id="10203" name="DatabaseService" operation="getTableInfo" title="Информация о таблице" />
			<service id="10204" name="DatabaseService" operation="dropTables" title="Удаление таблиц" />
			<service id="10206" name="DatabaseService" operation="getTableDataHeaders" title="Названия столбцов таблицы" />
			<service id="10207" name="DatabaseService" operation="getTableData" title="Строки таблиц" />
			<service id="510" name="DatabaseService" operation="getTableDataRecord" title="getTableDataRecord"/>
		</group>
		
		<action id="253" mask="module=contract;action=ContractGroupOperation" title="Групповые операции (Доб./Прерыв услуг)"/>
		<action id="444" mask="module=admin;action=BGTable;as_default=1" title="Сохранение расположения столбцов по умолчанию"/>
	</group>
	<group title="Клиенты">
		<service id="170" name="ContractService" operation="customerAccounts" title="customerAccounts"/>
		<service id="171" name="ContractService" operation="customerAccountSet" title="customerAccountSet"/>
		<service id="184" name="ContractService" operation="customerAccountAdd" title="customerAccountAdd"/>
		<service id="203" name="ContractService" operation="customerAccountDelete" title="customerAccountDelete"/>
		<service id="348" name="ContractService" operation="contractModeUpdate" title="contractModeUpdate"/>
		<service id="349" name="ContractService" operation="contractPasswordLogs" title="contractPasswordLogs"/>
		<service id="350" name="ContractService" operation="contractParameterTextUpdate" title="contractParameterTextUpdate"/>
		<service id="351" name="ContractService" operation="contractParameterContractUpdate" title="contractParameterContractUpdate"/>
		<service id="352" name="ContractService" operation="contractParameterBooleanUpdate" title="contractParameterBooleanUpdate"/>
		<service id="353" name="ContractService" operation="contractParameterUpdate" title="contractParameterUpdate"/>
		<service id="530" name="ContractService" operation="searchContractList" title="searchContractList"/>
		<service id="537" name="ContractService" operation="searchContractByObjectParameter" title="searchContractByObjectParameter"/>
		<service id="538" name="ContractService" operation="searchContractByParameter" title="searchContractByParameter"/>

		<service id="10373" name="ContractParameterService" operation="customerSearch" title="customerSearch"/>
		<service id="10226" name="ContractParameterService" operation="customerNewSet" title="Создание и подключение нового клиента"/>
		<service id="162" name="ContractParameterService" operation="customerDelete" title="customerDelete"/>
		<service id="10227" name="ContractParameterService" operation="customerParameterGet" title="Получение параметров клиента"/>
		<service id="10316" name="ContractParameterService" operation="customerContracts" title="customerContracts"/>
		<service id="10321" name="ContractParameterService" operation="customerEmails" title="customerEmails"/>
		<service id="10324" name="ContractParameterService" operation="customerLinkSet" title="customerLinkSet"/>
		<service id="10374" name="ContractParameterService" operation="customerUnlinkContract" title="customerUnlinkContract"/>
		<service id="10328" name="ContractParameterService" operation="customerParameterUpdate" title="customerParameterUpdate"/>
		<service id="97" name="ContractParameterService" operation="customerParameterHistory" title="customerParameterHistory"/>		
		<service id="98" name="ContractParameterService" operation="customerContactUpdate" title="customerContactUpdate"/>
		<service id="104" name="ContractParameterService" operation="customerPropertyParams" title="customerPropertyParams"/>
		<service id="154" name="ContractParameterService" operation="paramPhoneFormats" title="paramPhoneFormats"/>
		<service id="354" name="ContractParameterService" operation="contractParameterGroupJson" title="contractParameterGroupJson"/>
		<service id="355" name="ContractParameterService" operation="customerBankUpdate" title="customerBankUpdate"/>
		<service id="356" name="ContractParameterService" operation="customerEmployeeUpdate" title="customerEmployeeUpdate"/>
	</group>	
	<group title="Договор">
		<group title="Редактор названия и комментария договора">
			<service id="10223" name="ContractService" operation="contractTitleAndCommentGet" title="Получение названия и комментария договора"/>
			<service id="69"  name="ContractService" operation="contractTitleAndCommentUpdate" title="Изменение названия и комментария договора"/>
			<service id="10222" name="ContractService" operation="contractCommentPatternValue" title="Получение комментария договора по шаблону"/>
			<service id="10224" name="ContractService" operation="contractCommentPatternList" title="Получение списка шаблонов комментария договора"/>
			<service id="10317" name="ContractService" operation="searchCustomerList" title="searchCustomerList"/>
		</group>
		<group title="Модули">
			<service id="286" name="ContractService" operation="contractModuleAdd" title="Добавление модуля"/>
			<service id="287" name="ContractService" operation="contractModuleDelete" title="Удаление модуля"/>
		</group>
		<group title="Поиск по параметрам [устар.]">
			<action id="195" mask="module=contract;action=FindContract;type=1" title="Поиск договора по текстовому параметру [устар.]"/>
			<action id="196" mask="module=contract;action=FindContract;type=2" title="Поиск договора по параметру адресу [устар.]"/>
			<action id="197" mask="module=contract;action=FindContract;type=3" title="Поиск договора по параметру типа E-Mail [устар.]"/>
			<action id="198" mask="module=contract;action=FindContract;type=6" title="Поиск договора по параметру типа Дата [устар.]"/>
			<action id="199" mask="module=contract;action=FindContract;type=7" title="Поиск договора по параметру типа Список [устар.]"/>			
		</group>
		<group title="Пользовательские реализации поиска">
			<service id="10293" name="ContractSearchService" operation="getValidadedSearches" title="Получение списка реализаций поиска"/>
			<service id="96" name="ContractSearchService" operation="search" title="search"/>
			<service id="231" name="ContractSearchService" operation="getSelectedSearches" title="getSelectedSearches"/>
			<service id="232" name="ContractSearchService" operation="updateSearchList" title="updateSearchList"/>
			<service id="233" name="ContractSearchService" operation="getSearches" title="getSearches"/>
			<service id="234" name="ContractSearchService" operation="reloadCache" title="reloadCache"/>
			<service id="235" name="ContractSearchService" operation="deleteSearch" title="deleteSearch"/>
		</group>
		<group title="Скрытность">
			<action id="200" mask="del=1;module=contract;action=SetDelContract" title="Установка скрытости"/>
			<action id="201" mask="del=0;module=contract;action=SetDelContract" title="Удаление скрытости"/>
		</group>
		<group title="Правка параметров">
			<action id="66"  mask="module=contract;action=SetFrContract" title="Изменение фирмы"/>
			<action id="67"  mask="module=contract;action=SetFcContract" title="Изменение лица"/>			
			<service id="68" name="ContractService" operation="contractParameterGroupSet" title="Изменение группы параметров"/>			
			<action id="70"  mask="module=contract;action=UpdateContractDate1" title="Изменение даты открытия"/>
			<service id="71" name="ContractService" operation="contractDateToUpdate" title="Изменение даты закрытия" />
			<action id="72"  mask="module=contract;action=SetDelContract" title="Установка пометки скрытости"/>
		</group>
		<group title="История параметров">
			<action id="294" mask="module=contract;action=GetParameterHistory" title="Просмотр истории"/>
			<action id="295" mask="module=contract;action=ClearParameterHistory" title="Очистка истории"/>
		</group>
		<group title="Примечания">
			<service id="73" name="ContractNoteService" operation="contractNoteList" title="Просмотр примечаний" />
			<service id="236" name="ContractNoteService" operation="contractNoteGet" title="contractNoteGet"/>
			<service id="74" name="ContractNoteService" operation="contractNoteUpdate" title="Изменение примечания" />
			<service id="75" name="ContractNoteService" operation="contractNoteDelete" title="Удаление примечания" />
			<service id="317" name="ContractNoteService" operation="getContractNote" title="getContractNote"/>
		</group>
		<group title="Пароль статистики">
			<action id="76"  mask="module=contract;action=ContractPassword" title="Просмотр лога смены пароля статистики"/>
			<action id="77"  mask="module=contract;action=UpdateContractPassword" title="Смена пароля статистики"/>
			<service id="77" name="ContractService" operation="contractPasswordUpdate" title="Смена пароля статистики" />
			<service id="298" name="ContractService" operation="sendWebPasswordOfContractToEmail" title="Отправка пароля статистики"/>
			<service id="480" name="ContractService" operation="contractPasswordReset" title="Сброс пароля статистики" />
		</group>
		<group title="Лимит">
			<action id="78"  mask="module=contract;action=ContractLimit" title="Просмотр лимита"/>
			<service id="78" name="ContractLimitService" operation="contractLimitGet|contractLimitMovementList|getCurrentContractLimit" title="Просмотр лимита" />
			<action id="79"  mask="module=contract;action=UpdateContractLimit" title="Изменение лимита"/>
			<service id="79" name="ContractLimitService" operation="updateContractLimit" title="Изменение лимита"/>			
			<service id="245" name="ContractLimitService" operation="contractLimitMove|contractLimitParametersGet|updateContractLimitPeriod" title="Временное изменение лимита" />
			<action id="246" mask="module=contract;action=LimitChangeTaskDelete" title="Удаление задания восстановления лимита"/>
			<action id="248" mask="module=contract;action=ContractLimitManage" title="Просмотр управления лимитом"/>
			<service id="249" name="ContractLimitService" operation="setContractLimitMode" title="Установка режима Управления лимитом в ЛК" />
			<service id="10283" name="ContractLimitService" operation="searchContractLimitLog" title="Лог изменения лимита клиентов в ЛК" />
			<service id="10284" name="ContractLimitService" operation="searchContractLimitManage" title="Лог изменения режима" />
			<service id="1000" name="ContractLimitService" operation="searchContractLimitLogList|searchContractLimitAvtoList" title="Просмотр заданий восстановления лимита" />
			<service id="219" name="ContractLimitService" operation="checkContractLimitUpdate" title="checkContractLimitUpdate"/>
			<service id="221" name="ContractLimitService" operation="cancelLimitChangeTask" title="cancelLimitChangeTask"/>
		</group>
		<group title="Ограничение доступа к web-статистике">
			<action id="250" mask="module=contract;action=WebRequestLimit" title="Просмотр/управление ограничением"/>
		</group>
		<group title="Web-авторизация">
			<action id="257" mask="module=contract;action=WebContractLogonLog;logType=ok" title="Просмотр лога успешных авторизаций"/>
			<action id="258" mask="module=contract;action=WebContractLogonLog;logType=error" title="Просмотр лога неуспешных авторизаций"/>
		</group>
		<group title="Режим">
			<action id="80"  mask="module=contract;action=ContractMode" title="Просмотр режима"/>
			<action id="81"  mask="module=contract;action=UpdateContractMode" title="Смена режима"/>
		</group>
		<group title="Группы">
			<service id="490" name="ContractService" operation="contractDomainUpdate" title="Установка домена" />
			<action id="82"  mask="module=contract;action=ContractGroup" title="Просмотр групп"/>
			<action id="83"  mask="module=contract;action=UpdateContractGroup" title="Установка группы"/>
			<action id="260"  mask="module=contract;action=ClearContractGroup" title="Удаление группы"/>
			<service id="10234" name="ContractGroupService" operation="contractGroupList" title="Список групп договора" />
		</group>
		<group title="Метки договора">
			<service id="10253" name="ContractLabelService" operation="getContractLabelTree" title="Дерево меток" />
			<service id="10235" name="ContractLabelService" operation="getContractLabelTreeItemList" title="Список меток" />
			<service id="10264" name="ContractLabelService" operation="getContractLabelIds" title="Просмотр меток договора" />
			<service id="10265" name="ContractLabelService" operation="setContractLabelIds" title="Изменение меток договора" />
			<service id="10294" name="ContractLabelService" operation="syncLabelAndGroupDirectory" title="Синхронизация меток с группами догоров" />
			<service id="10295" name="ContractLabelService" operation="getContractLabelTreeItemListForUser" title="Получения списка меток для пользователя"/>
			<service id="163" name="ContractLabelService" operation="updateContractLabelTreeItem" title="Добавление/изменение меток договора"/>
			<service id="164" name="ContractLabelService" operation="removeContractLabelTreeItem" title="Удаление меток договора"/>
			<service id="165" name="ContractLabelService" operation="getContractCountByLabel" title="Получение кол-ва договоров для метки"/>
		</group>
		<group title="Тарифные планы">
			<group title="Глобальные тарифы">
				<action id="445" mask="module=contract;action=ContractTariffPlan;showUsed=0;useFilter=0" title="ТП:0-Используемые/0-Фильтр"/>
     			<action id="446" mask="module=contract;action=ContractTariffPlan;showUsed=1;useFilter=0" title="ТП:1-Используемые/0-Фильтр"/>
				<action id="447" mask="module=contract;action=ContractTariffPlan;showUsed=0;useFilter=1" title="ТП:0-Используемые/1-Фильтр"/>
				<action id="448" mask="module=contract;action=ContractTariffPlan;showUsed=1;useFilter=1" title="ТП:1-Используемые/1-Фильтр"/>
				<service id="84" name="ContractTariffService" operation="contractTariffList|contractTariffEntryList|contractTariffChangeAvailableDateList|contractTariffChangeAvailableMap" title="Просмотр тарифных планов"/>
				<action id="85" mask="module=contract;action=ContractTariffPlan" title="Просмотр тарифного плана"/>
				<service id="85" name="ContractTariffService" operation="contractTariffListByParam" title="Просмотр тарифного плана"/>
				<action id="86" mask="module=contract;action=UpdateContractTariffPlan" title="Изменение тарифного плана"/>
				<service id="86" name="ContractTariffService" operation="contractTariffUpdate|contractTariffChangeByCustomer" title="Изменение тарифного плана"/>			
				<action id="202" mask="module=contract;action=DeleteContractTariffPlan" title="Удаление тарифного плана"/>
				<service id="202" name="ContractTariffService" operation="contractTariffDelete|contractTariffCancelByCustomer" title="Удаление тарифного плана"/>
				<service id="41" name="ContractTariffService" operation="contractTariffCounters" title="contractTariffCounters"/>
				<service id="357" name="ContractTariffService" operation="contractTariffMasterDataGet" title="contractTariffMasterDataGet"/>
				<service id="539" name="ContractTariffService" operation="contractTariffMasterFilters" title="contractTariffMasterFilters"/>
			</group>
			<group title="Персональные тарифы">
				<service id="10300" name="ContractTariffService" operation="personalTariffList" title="Просмотр персональных тарифов" />
				<service id="10301" name="ContractTariffService" operation="personalTariffGet" title="Просмотр персонального тарифа" />
				<service id="10302" name="ContractTariffService" operation="personalTariffUpdate" title="Изменение персонального тарифа" />
				<service id="10303" name="ContractTariffService" operation="personalTariffDelete" title="Удаление персонального тарифа" />
			</group>
			<group title="Группа тарифов">
				<service id="183" name="ContractTariffService" operation="contractTariffGroupList" title="Просмотр групп тарифов договора"/>
				<service id="185" name="ContractTariffService" operation="contractTariffGroupSet" title="Установка группы тарифов договора"/>
				<service id="186" name="ContractTariffService" operation="contractTariffGroupGet" title="Получение группы тарифов договора"/>
			</group>	
			<group title="Тарифные опции">
				<service id="279" name="TariffOptionService" operation="contractTariffOptionList|contractTariffOptionListWeb" title="Просмотр активированных опций"/>
				<service id="10305" name="TariffOptionService" operation="contractTariffOptionActivate" title="Активация опции с произвольным периодом" expression="contractTariffOptionData.getPeriod() ne null" />
				<service id="281" name="TariffOptionService" operation="contractTariffOptionActivate|tariffOptionListAvailable" title="Активация опции" />
				<service id="402" name="TariffOptionService" operation="contractTariffOptionDeactivate" title="Деактивация опции"/>
				<service id="403" name="TariffOptionService" operation="contractTariffOptionReactivate" title="Реактивация опции"/>
				<service id="471" name="TariffOptionService" operation="contractTariffOptionDelete" title="Удаление опции"/>
				<service id="404" name="TariffOptionService" operation="contractTariffOptionHistory" title="История"/>
				<service id="10370" name="TariffOptionService" operation="configOption" title="configOption"/>
			</group>
			<group title="Метки тарифов">
         		<service id="155" name="TariffLabelService" operation="setTariffLabelTreeItemList" title="setTariffLabelTreeItemList"/>
         		<service id="1008" name="TariffLabelService" operation="getTariffLabelTreeItemList" title="Просмотр списка меток тарифов"/>
         		<service id="1009" name="TariffLabelService" operation="updateTariffLabelTreeItem" title="Обновление метки тарифа"/>
				<service id="398" name="TariffLabelService" operation="getTariffListByLabelId" title="getTariffListByLabelId"/>
      		</group>
      		<group title="Тарифные переменные">
         		<service id="10257" name="ContractTariffService" operation="contractTariffVars" title="Список тарифных переменных"/>
         		<service id="10258" name="ContractTariffService" operation="contractTariffVarUpdate" title="Редактирование тарифной переменной"/>
         		<service id="10259" name="ContractTariffService" operation="contractTariffVarDelete" title="Удаление тарифной переменной"/>
      		</group>

			<service id="10334" name="ContractTariffService" operation="contractTariffModuleList" title="contractTariffModuleList"/>
			
		</group>
		<group title="Продукты">
			<group title="Спецификации">
				<service id="411" name="ProductService" operation="productSpecGet|productSpecGetByIdentifier" title="Просмотр спецификации продукта"/>
				<service id="412" name="ProductService" operation="productSpecList|productSpecTree" title="Просмотр списка спецификаций продуктов"/>
				<service id="413" name="ProductService" operation="productSpecUpdate" title="Редактирование спецификации продукта"/>
				<service id="414" name="ProductService" operation="productSpecDelete" title="Удаление спецификации продукта"/>
				<service id="415" name="ProductService" operation="productSpecMove" title="Перемещение спецификации продукта"/>
				<service id="416" name="ProductService" operation="productSpecActivationModeList" title="Просмотр списка режимов активации спецификации продукта"/>
				<service id="213" name="ProductService" operation="productSpecActivationModeGet" title="productSpecActivationModeGet"/>
				<service id="417" name="ProductService" operation="serviceLinkList" title="Просмотр привязки спецификаций сервисов"/>
				<service id="418" name="ProductService" operation="serviceLinkUpdate" title="Обновление привязки спецификаций сервисов"/>
				<service id="42" name="ProductService" operation="productSpecRoot" title="productSpecRoot"/>
				<service id="43" name="ProductService" operation="getIncompatibleItems" title="getIncompatibleItems"/>
				<service id="44" name="ProductService" operation="productTreeReorder" title="productTreeReorder"/>				
				
				<service id="419" name="ServiceService" operation="serviceSpecList|serviceSpecTree" title="Просмотр списка спецификаций сервисов"/>
				<service id="436" name="ServiceService" operation="serviceSpecGet" title="Просмотр спецификации сервиса"/>
				<service id="437" name="ServiceService" operation="serviceSpecUpdate" title="Редактирование спецификации сервиса"/>
				<service id="438" name="ServiceService" operation="serviceSpecDelete" title="Удаление спецификации сервиса"/>
				<service id="439" name="ServiceService" operation="serviceSpecMove" title="Перемещение спецификации сервиса"/>
			</group>
			<group title="Договор">
				<service id="440" name="ProductOrderService" operation="productOfferingList" title="Просмотр списка предложений (активации) продуктов"/>
				<service id="441" name="ProductOrderService" operation="productActivate" title="Активация продукта"/>
				<service id="442" name="ProductOrderService" operation="productDeactivate" title="Деактивация продукта"/>
				<service id="166" name="ProductOrderService" operation="isAllowProductActivate" title="isAllowProductActivate"/>
				<service id="214" name="ProductOrderService" operation="productOfferingGet" title="productOfferingGet"/>				
				
				<service id="10266" name="ProductService" operation="isAllowProductActivate" title="Проверка возможности активации продукта"/>
				<service id="443" name="ProductService" operation="productList" title="Просмотр cписка продуктов"/>
				<service id="428" name="ProductService" operation="productUpdate" title="Редактирование продукта"/>
				<service id="429" name="ProductService" operation="productGet" title="Просмотр продукта"/>
				<service id="430" name="ProductService" operation="productDelete" title="Удаление продукта"/>
				<service id="431" name="ProductService" operation="productPeriodUpdate" title="Редактирование периода активности продукта"/>
				<service id="486" name="ProductService" operation="productPeriodDelete" title="Удаление периода активности продукта"/>
				<service id="333" name="ProductService" operation="productPeriodList" title="productPeriodList"/>
			
				<service id="432" name="ServiceService" operation="serviceList" title="Просмотр списка сервисов"/>
				<service id="433" name="ServiceService" operation="serviceUpdate" title="Редактирование сервиса"/>
				<service id="434" name="ServiceService" operation="serviceDelete" title="Удаление сервиса"/>
				<service id="435" name="ServiceService" operation="serviceDeleteByProduct" title="Удаление сервисов продукта"/>
			</group>
		</group>
		<group title="Баланс">		
			<action id="87"  mask="module=contract;action=ContractBalanceGeneral" title="Просмотр баланса"/>
			<service id="87" name="BalanceService" operation="contractBalanceList|contractBalanceGet" title="Просмотр баланса"/>
			<action id="296"  mask="module=contract;action=ContractBalanceDetail" title="Просмотр детализированного баланса"/>
			<service id="296" name="BalanceService" operation="balanceDetailList" title="Просмотр детализированного баланса"/>			
			<action id="88"  mask="module=contract;action=ContractAccounts" title="Просмотр наработки"/>
			<service id="88" name="BalanceService" operation="contractAccountList" title="Просмотр наработки"/>
			<service id="222" name="BalanceService" operation="contractAccountDetailList" title="contractAccountDetailList"/>
			<action id="400" mask="module=contract;action=ContractBalanceTransfer" title="Перенос средств"/>
			<service id="400" name="BalanceService" operation="contractBalanceTransfer" title="Перенос средств"/>
			<service id="358" name="BalanceService" operation="getDataSource" title="getDataSource"/>
			
			<group title="Платежи">
				<action id="89"  mask="module=contract;action=ContractPayments" title="Просмотр платежей"/>
				<service id="89" name="PaymentService" operation="paymentList" title="Просмотр платежей"/>
				<service id="95" name="PaymentService" operation="paymentGet" title="paymentGet"/>
				<action id="449"  mask="module=contract;action=UpdateContractPayment;id=new" title="Добавление платежа [устар.]"/>
				<action id="90"  mask="module=contract;action=UpdateContractPayment" title="Изменение платежа"/>
				<service id="90" name="PaymentService" operation="paymentUpdate" title="Изменение платежа" expression="payment.getId() gt 0"/>
				<service id="450" name="PaymentService" operation="paymentUpdate" title="Добавление платежа"/>			
				<action id="91"  mask="module=contract;action=DeleteContractPayment" title="Удаление платежа"/>
				<service id="91" name="PaymentService" operation="paymentDelete" title="Удаление платежа"/>
				<service id="10242" name="PaymentService" operation="paymentTypeList" title="Список типов платежей"/>
				<service id="10239" name="PaymentService" operation="paymentTypeGet" title="Получение типа платежа"/>
				<service id="531" name="PaymentService" operation="paymentTypeTitles" title="paymentTypeTitles"/>
			</group>	
			<group title="Расходы">
				<action id="92"  mask="module=contract;action=ContractCharges" title="Просмотр расходов"/>
				<service id="92" name="ChargeService" operation="chargeList" title="Просмотр расходов"/>
				<action id="451"  mask="module=contract;action=UpdateContractCharge;id=new" title="Добавление расхода [устар.]"/>
				<service id="452" name="ChargeService" operation="chargeUpdate" title="Добавление расхода" expression="!charge.isPayback() and charge.getId() le 0"/> 
				<!-- <eq path="balance:chargeUpdate/charge/@payback" value="false"/> <regexp path="balance:chargeUpdate/charge/@id" value="(-\d*)|0"/> -->
				<action id="93"  mask="module=contract;action=UpdateContractCharge" title="Изменение расхода"/>
				<service id="93" name="ChargeService" operation="chargeUpdate" title="Изменение расхода" expression="!charge.isPayback()"/>
				<!-- <eq path="balance:chargeUpdate/charge/@payback" value="false"/> <regexp path="balance:chargeUpdate/charge/@id" value="\A[1-9]+"/> -->
				<action id="94"  mask="module=contract;action=DeleteContractCharge" title="Удаление расхода"/>
				<service id="94" name="ChargeService" operation="chargeDelete" title="Удаление расхода"/>
				<service id="10329" name="ChargeService" operation="chargeGet" title="chargeGet"/>
				<service id="10330" name="ChargeService" operation="chargeTypeGet" title="chargeTypeGet"/>
				<service id="268" name="ChargeService" operation="chargeTypeList" title="chargeTypeList"/>
			</group>
			<group title="Возвраты">
                <service id="453" name="ChargeService" operation="paybackList" title="Просмотр возвратов"/>
                <service id="454" name="ChargeService" operation="chargeUpdate" title="Добавление возвратов" expression="charge.isPayback() and charge.getId() le 0"/>
                <!-- <eq path="balance:chargeUpdate/charge/@payback" value="true"/> <regexp path="balance:chargeUpdate/charge/@id" value="(-\d*)|0"/> -->
                <service id="455" name="ChargeService" operation="chargeUpdate" title="Изменение возвратов" expression="charge.isPayback()"/>
                 <!-- <eq path="balance:chargeUpdate/charge/@payback" value="true"/> <regexp path="balance:chargeUpdate/charge/@id" value="\A[1-9]+"/>  -->
            </group>
            <group title="Резервы">
                <service id="456" name="ReserveService" operation="reserveList" title="Просмотр резервов"/>
                <service id="10240" name="ReserveService" operation="reserveSum" title="Запрос суммы резервов"/>
                <service id="457" name="ReserveService" operation="updateReserve" title="Изменение резервов" expression="reserve.getId() gt 0"/>
                <!-- <regexp path="balance:updateReserve/reserve/@id" value="\A[1-9]\d*"/> -->
                <service id="458" name="ReserveService" operation="updateReserve"  title="Добавление резервов"/>
				<service id="318" name="ReserveService" operation="reserveTypeGet" title="reserveTypeGet"/>
				<service id="511" name="ReserveService" operation="closeReserve" title="closeReserve"/>
            </group>
		</group>
		<group title="Услуги">
			<action id="175" mask="module=contract;action=ContractServices" title="Просмотр услуг договора"/>
			<action id="176" mask="module=contract;action=ContractService" title="Просмотр услуги договора"/>
			<action id="177" mask="module=contract;action=UpdateContractService" title="Изменение услуги договора"/>
			<action id="178" mask="module=contract;action=DeleteContractService" title="Удаление услуги договора"/>
		</group>
		<group title="Скрипт поведения">
			<service id="179" name="ContractScriptService" operation="contractScriptList" title="Просмотр скриптов поведения договора"/>
			<service id="180" name="ContractScriptService" operation="contractScriptGet" title="Удаление скрипта поведения договора"/>
			<service id="181" name="ContractScriptService" operation="contractScriptUpdate" title="Изменение скрипта поведения договора"/>			
			<service id="182" name="ContractScriptService" operation="contractScriptDelete" title="Удаление скрипта поведения договора"/>
			<service id="1004" name="ContractScriptService" operation="getScriptLogTitleList|getScriptLogList" title="Просмотр логов выполнения скриптов поведения договора"/>
		</group>

		<group title="Атрибуты">
	        <service id="1011" name="EntityService" operation="entitySpecAttrList|entitySpecAttrListByType" title="Просмотр списка атрибутов"/>
	        <service id="1014" name="EntityService" operation="entitySpecAttrListItemList" title="Просмотр значений списка"/>
	        <service id="1012" name="EntityService" operation="entitySpecAttrUpdate" title="Редактирование атрибута"/>
	        <service id="1015" name="EntityService" operation="entitySpecAttrListItemUpdate" title="Изменение значения списка"/>
	        <service id="1016" name="EntityService" operation="entitySpecAttrListItemDelete" title="Удаление значения списка"/>
	        <service id="1013" name="EntityService" operation="entitySpecAttrDelete" title="Удаление атрибута"/>
	        <service id="1017" name="EntityService" operation="entitySpecList" title="Просмотр списка сущностей"/>
	        <service id="1018" name="EntityService" operation="entitySpecUpdate" title="Редактирование сущности"/>
	        <service id="10241" name="EntityService" operation="entitySpecGet" title="Получение данных сущностей"/>
			<service id="237" name="EntityService" operation="entitySpecDtoList" title="entitySpecDtoList"/>
      	</group>		
			
		<group title="Параметры договора">
			<service id="476" name="ContractService" operation="contractParametersCopy" title="ContractService:contractParametersCopy" />
			<action id="187" mask="module=contract;action=ContractParameters" title="Просмотр параметров договора (акш.)"/>
			<service id="187" name="ContractService" operation="contractParameterMap|contractParameterGet|contractParameterMapByType" title="Просмотр параметров договора (сервис)" />
			<service id="188" name="ContractService" operation="contractParameterUpdate" expression="parameter.getType() eq 1" title="Изменение текстового параметра"/>
			<action id="189" mask="module=contract;action=AddressInfo" title="Просмотр адресного параметра"/>
			<action id="190" mask="module=contract;action=UpdateAddressInfo" title="Изменение адресного параметра"/>
			<service id="190" name="ContractService" operation="contractParameterUpdate" expression="parameter.getType() eq 8" title="Изменение адресного параметра"/>
			<action id="305" mask="module=contract;action=AddAddressCustom" title="Пользовательское значение адресного параметра"/>
			<service id="483" name="ContractService" operation="contractParameterUpdate" expression="parameter.getType() eq 10" title="Изменение параметра типа телефон"/>
			<service id="191" name="ContractService" operation="contractParameterUpdate" expression="parameter.getType() eq 5" title="Изменение параметра типа Дата"/>
			<action id="484" mask="module=contract;action=UpdateListParam;custom_value=R:.+?" title="Пользовательское значение спискового параметра"/>
			<service id="484" name="ContractService" operation="contractParameterUpdate" expression="parameter.getType() eq 4 and parameter.getValue() le 0 and parameter.getCustomValue() ne null" title="Пользовательское значение спискового параметра"/>
			<action id="192" mask="module=contract;action=UpdateListParam" title="Изменение спискового параметра"/>
			<service id="192" name="ContractService" operation="contractParameterUpdate" expression="parameter.getType() eq 4" title="Изменение спискового параметра"/>
			<service id="193" name="ContractService" operation="contractParameterUpdate" expression="parameter.getType() eq 3" title="Изменение флагового параметра"/>
			<service id="194" name="ContractService" operation="contractParameterUpdate" expression="parameter.getType() eq 9" title="Изменение параметра типа E-Mail"/>
			<service id="247" name="ContractService" operation="contractParameterUpdate" expression="parameter.getType() eq 31" title="Изменение параметра типа Ссылка на договор"/>
			<service id="251" name="ContractService" operation="contractParameterUpdate" expression="parameter.getType() eq 32" title="Изменение параметра типа Обслуживание договора"/>

			<action id="465" mask="module=contract;action=UpdateMultiListParam" title="Изменение мультиспискового параметра"/>
			<service id="10331" name="ContractService" operation="contractParameterListUpdate" title="contractParameterListUpdate"/>
			<service id="10361" name="ContractService" operation="contractParameterAddressUpdate" title="contractParameterAddressUpdate"/>
		</group>
		
		<group title="Объекты">
			<service id="10269" name="ContractObjectService" operation="contractObjectTable" title="Просмотр объектов договора"/>
			<service id="10238" name="ContractObjectService" operation="contractObjectList" title="Список объектов договора"/>
			<service id="10270" name="ContractObjectService" operation="contractObjectUpdate" title="Изменение периода и названия объекта"/>
			<service id="10271" name="ContractObjectService" operation="contractObjectDelete" title="Удаление объекта"/>
			<service id="10272" name="ContractObjectService" operation="contractObjectClone" title="Клонирование объекта"/>
			<service id="10273" name="ContractObjectService" operation="contractObjectGet" title="Получение объекта"/>
			<service id="269" name="ContractObjectService" operation="contractObjectOrder" title="contractObjectOrder"/>
			<action id="252" mask="module=contract.object;action=MoveObject" title="Перемещение объекта в другой договор"/>
			<service id="359" name="ContractObjectService" operation="objectTypeList" title="objectTypeList"/>
			<service id="360" name="ContractObjectService" operation="dateParameterValueUpdate" title="dateParameterValueUpdate"/>
			<service id="361" name="ContractObjectService" operation="objectParamGet" title="objectParamGet"/>
			<service id="362" name="ContractObjectService" operation="objectParamSearch" title="objectParamSearch"/>
			<service id="363" name="ContractObjectService" operation="objectParamUpdate" title="objectParamUpdate"/>
			<service id="364" name="ContractObjectService" operation="addressParameterValueUpdate" title="addressParameterValueUpdate"/>
			<service id="365" name="ContractObjectService" operation="addressParameterValueDelete" title="addressParameterValueDelete"/>
			<service id="366" name="ContractObjectService" operation="textParameterValueUpdate" title="textParameterValueUpdate"/>
			<service id="367" name="ContractObjectService" operation="contractObjectModuleList" title="contractObjectModuleList"/>
			<service id="368" name="ContractObjectService" operation="objectParameterTextUpdate" title="objectParameterTextUpdate"/>
			<service id="369" name="ContractObjectService" operation="objectParameterAddressDelete" title="objectParameterAddressDelete"/>
			<service id="370" name="ContractObjectService" operation="objectTypeTitles" title="objectTypeTitles"/>
			<service id="371" name="ContractObjectService" operation="objectTypeParameterList" title="objectTypeParameterList"/>
			<service id="372" name="ContractObjectService" operation="getListParameters" title="getListParameters"/>
			<service id="373" name="ContractObjectService" operation="objectParameterListUpdate" title="objectParameterListUpdate"/>
			<service id="374" name="ContractObjectService" operation="objectParameterListGet" title="objectParameterListGet"/>
			<service id="375" name="ContractObjectService" operation="objectParameterFlagUpdate" title="objectParameterFlagUpdate"/>
			<service id="376" name="ContractObjectService" operation="objectParameterHistoryList" title="objectParameterHistoryList"/>
			<service id="393" name="ContractObjectService" operation="getAvailableTypeForObjectType" title="getAvailableTypeForObjectType"/>
			<service id="394" name="ContractObjectService" operation="searchObjectParam" title="searchObjectParam"/>
			<service id="395" name="ContractObjectService" operation="objectParamDelete" title="objectParamDelete"/>
			<service id="396" name="ContractObjectService" operation="parameterMoving" title="parameterMoving"/>

			<group title="Параметры объекта">
				<service id="157" name="ContractObjectService" operation="objectParameterGet" title="Получение параметра объекта"/>
				<service id="10304" name="ContractObjectService" operation="contractObjectParameters" title="Получение параметров объекта"/>
				<service id="238" name="ContractObjectService" operation="getValuesForListParameter" title="Получение значений спискового параметра"/>
				<service id="10290" name="ContractObjectParameterService" operation="updateListParameterValue" title="Изменение спискового параметра объекта" />
				<service id="240" name="ContractObjectService" operation="deleteListParameterValue" title="Удаление спискового параметра"/>

				<service id="239" name="ContractObjectService" operation="objectParameterAddressUpdate" title="Изменение параметра типа адрес"/>
				<service id="10286" name="ContractObjectParameterService" operation="objectParameterAddressDelete" title="Удаление адресного параметра объекта"/>
				<service id="265" name="ContractObjectService" operation="updateListParameterValue" title="Обновление спискового параметра"/>
				<service id="267" name="ContractObjectService" operation="updateLinkParameterWithObjectType" title="Привязка или удаление параметра типа объекта"/>
				<service id="270" name="ContractObjectService" operation="objectParameterDateUpdate" title="Изменение параметра типа дата объекта"/>
				<service id="10288" name="ContractObjectParameterService" operation="objectParameterTextUpdate" title="Изменение текстового параметра объекта"/>
				<service id="10291" name="ContractObjectParameterService" operation="objectParameterFlagUpdate" title="Изменение параметра типа флаг объекта" />
				<service id="160" name="ContractObjectParameterService" operation="objectParameterListUpdate" title="Изменение параметра типа список" />
				<service id="161" name="ContractObjectParameterService" operation="objectParameterHistoryList" title="Получение истории изменения параметра объекта"/>
				<service id="227" name="ContractObjectParameterService" operation="objectParameterHistoryClear" title="Очистка истории изменения параметра объекта" />
			</group>
			<group title="Типы объектов">
				<service id="228" name="ContractObjectParameterService" operation="objectTypeList" title="Просмотр типов объектов"/>
				<service id="229" name="ContractObjectParameterService" operation="objectTypeGet" title="Просмотр типа объекта"/>
				<service id="230" name="ContractObjectParameterService" operation="objectTypeUpdate" title="Изменение типа объекта" />
				<service id="314" name="ContractObjectParameterService" operation="objectTypeDelete" title="Удаление типа объекта" />
			</group>
			<group title="Значения списковых параметров">
				<service id="315" name="ContractObjectParameterService" operation="getValuesForListParameter" title="Просмотр значений спискового параметра"/>
				<service id="320" name="ContractObjectParameterService" operation="updateListParameterValue" title="Изменение значения спискового параметра"/>
				<service id="321" name="ContractObjectParameterService" operation="deleteListParameterValue" title="Удаление значения спискового параметра"/>
			</group>
		</group>
		
		<group title="Иерархия">
			<action id="241" mask="module=contract.hierarchy;action=FreeContract" title="Освобождение договора"/>
			<action id="242" mask="module=contract.hierarchy;action=AddSub" title="Установка субдоговора"/>
			<service id="1001" name="ContractService" operation="contractSubList" title="Просмотр списка субдоговоров"/>
		</group>
		
		<group title="Статус">
			<service id="334" name="ContractStatusService" operation="contractStatusSearch" title="Просмотр истории статуса"/>
			<service id="482" name="ContractStatusService" operation="contractStatusLogSearch" title="Просмотр истории изменении статуса"/>		
			<service id="263" name="ContractStatusService" operation="contractStatusList|statusList" title="Просмотр истории статуса" />
			<service id="264" name="ContractStatusService" operation="changeContractStatus" title="Смена статуса у договоров" />
			<service id="335" name="ContractStatusService" operation="contractStatusChange|contractStatusChangeParametersGet" title="Смена статуса у договоров" />
			<service id="10256" name="ContractStatusService" operation="getStatusList" title="Список статусов договора" />
		</group>
		
		<action id="61" mask="module=contract;action=ContractInfo" title="Просмотр договора"/>
		<service id="61" name="ContractService" operation="contractGet" title="Просмотр договора"/>
		<service id="10297" name="ContractService" operation="contractInfoGet" title="Просмотр данных договора"/>
		<service id="62" name="ContractService" operation="contractList" title="Поиск договора (фильтр по группам)"/>
		<service id="10252" name="ContractService" operation="contractList0" title="Поиск договора (фильтр по меткам)"/>
		<service id="10298" name="ContractService" operation="searchContractHistoryRecord" title="История открытых договоров"/>
		<action id="62" mask="module=contract;action=FilterContract" title="Поиск договора"/>
		<service id="10213" name="ContractService" operation="updateContractHistoryRecord" title="Обновление истории доступа к договорам"/>
		<action id="243" mask="module=contract;action=ContractCard2" title="Просмотр карты"/>
		<service id="243" name="ContractCardService" operation="contractCardList|contractCardExport" title="Просмотр карты"/>
		<action id="63" mask="module=contract;action=ContractCard" title="Просмотр полной карты"/>
		<action id="266" mask="module=contract;action=ContractCardXml" title="Просмотр полной карты XML"/>
		<action id="64" mask="module=contract;action=NewContract" title="Создание договора (акш.)"/>
		<service id="10325" name="ContractService" operation="contractCreate" title="Создание договора (серв.)"/>
		<action id="408" mask="module=contract;action=WrapContract" title="Переоформление договора"/>
		<service id="65" name="ContractService" operation="contractDelete" title="ContractService:contractDelete"/>
		<action id="65" mask="module=contract;action=DeleteContract" title="Удаление договора"/>
		<service id="496" name="ContractService" operation="contractUpdate" title="Изменение договора"/>
		<action id="259" mask="module=contract;action=AdditionalAction" title="Вызов дополнительного действия"/>
		<service id="259" name="ContractScriptService" operation="additionalContractActionInvoke|additionalContractActionList" title="Вызов дополнительного действия"/>
		
		<service id="10371" name="ContractModuleConfigService" operation="getKeyList" title="getKeyList"/>
		<service id="10372" name="ContractModuleConfigService" operation="searchContractModuleConfig" title="searchContractModuleConfig"/>
		
	</group>
	<group title="Cправочники">
		<group title="Домены">
			<service id="491" name="DomainService" operation="domainList|domainTree" title="Просмотр доменов"/>
			<service id="492" name="DomainService" operation="domainGet" title="Просмотр домена"/>
			<service id="493" name="DomainService" operation="domainUpdate" title="Редактирование домена"/>
			<service id="494" name="DomainService" operation="domainDelete" title="Удаление домена"/>
			<service id="495" name="DomainService" operation="domainMove" title="Перемещение домена"/>
		</group>

		<group title="Шаблоны комментариев договоров">
			<action id="1019" mask="module=admin;action=ListDirectory;mode=17" title="Просмотр списка шаблонов комментариев договоров"/>
			<action id="1020" mask="module=admin;action=UpdateDirectoryItem;mode=17" title="Изменение шаблона комментария договора"/>
			<action id="10201" mask="module=admin;action=UpdateDirectoryItem;mode=17;id=-1" title="Добавление шаблона комментария договора"/>
		</group>

		<group title="Типы времени">
			<action id="1024" mask="module=tariff;action=TimeTypeList" title="Просмотр типов времени"/>
			<action id="1025" mask="module=tariff;action=TimeTypeGet" title="Просмотр типа времени"/>
			<action id="1026" mask="module=tariff;action=TimeTypeUpdate" title="Изменение типа времени"/>
			<action id="1027" mask="module=tariff;action=TimeTypeDelete" title="Удаление типа времени"/>
		</group>

		<group title="Тарифные планы">
			<action id="99" mask="module=tariff;action=ListTariffPlans" title="Просмотр списка тарифов"/>
			<service id="99" name="TariffService" operation="tariffPlanList" title="Просмотр списка тарифов"/>
			<action id="100" mask="module=tariff;action=TariffPlanInfo" title="Просмотр тарифного плана"/>
			<service id="100" name="TariffService" operation="tariffPlanGet" title="Просмотр тарифного плана"/>
			<action id="101" mask="module=tariff;action=UpdateTariffPlan" title="Изменение тарифного плана"/>
			<service id="101" name="TariffService" operation="tariffPlanUpdate" title="Изменение тарифного плана"/>
			<action id="102" mask="module=tariff;action=AddTariffPlan" title="Добавление тарифного плана"/>	
			<action id="103" mask="module=tariff;action=DeleteTariffPlan" title="Удаление тарифного плана"/>
			<service id="103" name="TariffService" operation="tariffPlanDelete" title="Удаление тарифного плана"/>
       		<service id="10260" name="TariffService" operation="tariffVars" title="Список тарифных переменных (справочник)"/>
       		<service id="10261" name="TariffService" operation="tariffVarGet" title="Получение тарифной переменной (справочник)"/>
       		<service id="10262" name="TariffService" operation="tariffVarUpdate" title="Добавление/редактирование тарифной переменной (справочник)"/>
       		<service id="10263" name="TariffService" operation="tariffVarDelete" title="Удаление тарифной переменной (справочник)"/>
       		<service id="223" name="TariffService" operation="tariffVarListItems" title="tariffVarListItems"/>
			<service id="399" name="TariffService" operation="getTariffListByLabelId" title="getTariffListByLabelId"/>
			<service id="401" name="TariffService" operation="getTariffLabelTreeItemList" title="getTariffLabelTreeItemList"/>
			<service id="464" name="TariffService" operation="setTariffLabelTreeItemList" title="setTariffLabelTreeItemList"/>
			<service id="472" name="TariffService" operation="tariffVarValueSet" title="tariffVarValueSet"/>
			<service id="473" name="TariffService" operation="tariffVarValueDelete" title="tariffVarValueDelete"/>
			<service id="532" name="TariffService" operation="tariffModulesList" title="tariffModulesList"/>
		</group>
		
		<group title="Таблицы">
			<service id="474" name="TableService" operation="userTableGet" title="userTableGet"/>
			<service id="475" name="TableService" operation="userTableSet" title="userTableSet"/>
			<service id="477" name="TableService" operation="userTableReset" title="userTableReset"/>
		</group>
		
		<group title="Управление тарифным деревом (персональные и глобальные тарифы)">
			<group title="Управление модульными поддеревьями">
				<action id="215" mask="module=tariff;action=CreateMtree" title="Создание/расширение поддерева"/>
				<action id="216" mask="module=tariff;action=DeleteMtree" title="Удаление поддерева"/>
			</group>
			<group title="Управление узлами поддеревьев">
				<action id="105" mask="module=tariff;action=ModifTariffNode;command=create" title="Создание узла"/>
				<action id="106" mask="module=tariff;action=ModifTariffNode;command=update" title="Изменение узла"/>
				<action id="107" mask="module=tariff;action=ModifTariffNode;command=setpos" title="Изменение позиции узла"/>
				<action id="108" mask="module=tariff;action=ModifTariffNode;command=delete" title="Удаление узла"/>
				<action id="109" mask="module=tariff;action=ModifTariffNode;command=change_parent" title="Перемещение узла"/>
			</group>
		</group>
		
		<group title="Группы тарифов">
			<service id="110" name="TariffService" operation="tariffGroupList" title="Просмотр групп тарифов"/>
			<service id="111" name="TariffService" operation="tariffGroupGet" title="Просмотр группы тарифов"/>
			<service id="112" name="TariffService" operation="tariffGroupUpdate" title="Изменение группы тарифов"/>
			<service id="113" name="TariffService" operation="tariffGroupDelete" title="Удаление группы тарифов"/>
		</group>
		
		<group title="Тарифные опции">
			<service id="282" name="TariffOptionService" operation="tariffOptionList" title="Просмотр тарифных опций"/>
			<service id="283" name="TariffOptionService" operation="tariffOptionGet" title="Просмотр тарифной опции"/>
			<service id="284" name="TariffOptionService" operation="tariffOptionUpdate" title="Изменение тарифной опции"/>
			<service id="285" name="TariffOptionService" operation="tariffOptionDelete" title="Удаление тарифной опции"/>
		</group>
		
		<group title="Шаблоны договоров">
			<action id="114" mask="pid=-1;module=contract;action=ShowPattern" title="Просмотр шаблонов"/>
			<action id="115" mask="module=contract;action=GetPatternInfo" title="Просмотр шаблона"/>
			<action id="116" mask="module=contract;action=UpdateContractPattern" title="Обновление шаблона"/>
			<action id="117" mask="module=contract;action=DeleteContractPattern" title="Удаление шаблона"/>
		</group>
		
		<group title="Типы платежей">
			<action id="118" mask="module=admin;action=ListDirectory;mode=1" title="Просмотр типов платежей"/>
			<service id="118" name="PaymentService" operation="paymentTypeTree" title="Просмотр типов платежей"/> 
			<action id="119" mask="module=admin;action=UpdateDirectoryItem;mode=1" title="Изменение типа платежа"/>
			<service id="119" name="PaymentService" operation="paymentTypeUpdate" title="Изменение типа платежа"/>
			<action id="120" mask="module=admin;action=DeleteDirectoryItem;mode=1" title="Удаление типа платежа"/>
			<service id="120" name="PaymentService" operation="paymentTypeDelete" title="Удаление типа платежа"/>
		</group>
		
		<group title="Типы расходов/возвратов">
			<service id="121" name="ChargeService" operation="chargeTypeTree" title="Просмотр типов расходов/возвратов"/>
			<action id="121" mask="module=admin;action=ListDirectory;mode=0" title="Просмотр типов расходов"/>
			<action id="122" mask="module=admin;action=UpdateDirectoryItem;mode=0" title="Изменение типа расхода"/>
			<service id="122" name="ChargeService" operation="chargeTypeUpdate" title="Изменение типа расхода/возврата"/>
			<service id="123" name="ChargeService" operation="chargeTypeDelete" title="Удаление типа расхода/возвратов"/>
			<action id="123" mask="module=admin;action=DeleteDirectoryItem;mode=0" title="Удаление типа расхода"/>			
		</group>
		
		<group title="Типы резервов">
            <service id="459" name="ReserveService" operation="reserveTypeList" title="Просмотр типов резервов"/>
            <service id="460" name="ReserveService" operation="reserveTypeUpdate" title="Изменение типа резервов"/>
            <service id="461" name="ReserveService" operation="reserveTypeDelete" title="Удаление типа резервов"/>
        </group>
				
		<group title="Параметры договоров">
			<action id="124" mask="module=admin;action=ContractParameters" title="Просмотр параметров договоров"/>
			<service id="124" name="ContractParameterService" operation="contractParameterGroupAttrList|contractParameterGroupAttrGet" title="Просмотр параметров договоров"/>
			<action id="125" mask="module=admin;action=UpdateContractParameter" title="Изменение параметра договора"/>
			<service id="125" name="ContractParameterService" operation="contractParameterGroupAttrUpdate" title="Изменение/добавление параметра договора"/>
			<service id="126" name="ContractParameterService" operation="contractParameterGroupAttrDelete" title="Удаление параметра договора"/>
			<service id="10315" name="ContractParameterServiceOld" operation="getContractParameterPrefList" title="getContractParameterPrefList"/>
			<service id="319" name="ContractService" operation="contractParameterList" title="Список значений параметров договора"/>
			<service id="272" name="ContractParameterService" operation="contractParameterMultiListItemList" title="contractParameterMultiListItemList"/>
		</group>
				
		<group title="Группы договоров">
			<action id="127" mask="module=admin;action=GetContractGroupList" title="Просмотр групп договоров"/>
			<service id="127" name="ContractService" operation="contractGroupList" title="Просмотр групп договоров"/>
			<action id="128" mask="module=admin;action=UpdateContractGroup" title="Изменение группы договоров"/>
			<service id="128" name="ContractService" operation="contractGroupUpdate" title="Изменение группы договоров"/>
			<action id="244" mask="module=admin;action=DeleteContractGroup" title="Удаление группы из договоров"/>
		</group>
				
		<group title="Привязка параметров">
			<action id="129" mask="module=admin;action=ListDirectory;mode=4" title="Просмотр привязки"/>
			<action id="130" mask="module=admin;action=UpdateContractParamGroup" title="Изменение привязки"/>
			<service id="130" name="ContractParameterService" operation="contractParameterGroupUpdateLink" title="Изменение привязки" />
		</group>
		
		<group title="Фирмы">
			<action id="131" mask="module=admin;action=ListDirectory;mode=2" title="Просмотр фирм" />
			<action id="132" mask="module=admin;action=UpdateDirectoryItem;mode=2" title="Изменение фирмы" />
			<action id="133" mask="module=admin;action=DeleteDirectoryItem;mode=2" title="Удаление фирмы" />
		</group>
		
		<group title="Группы параметров">
			<action id="134" mask="module=admin;action=ListDirectory;mode=3" title="Просмотр групп параметров"/>
			<service id="134" name="ContractService" operation="contractParameterGroupList|contractParameterGroupGet" title="Просмотр параметров договора" />
			<service id="336" name="ContractParameterService" operation="contractParameterGroupList|contractParameterGroupGet" title="Просмотр параметров договора" />
			<action id="135" mask="module=admin;action=UpdateDirectoryItem;mode=3" title="Изменение группы параметров"/>
			<service id="135" name="ContractParameterService" operation="contractParameterGroupUpdate" title="Изменение группы параметров" />
			<action id="136" mask="module=admin;action=DeleteDirectoryItem;mode=3" title="Удаление группы параметров"/>
			<service id="136" name="ContractParameterService" operation="contractParameterGroupDelete" title="Удаление группы параметров" />
		</group>
		
		<group title="Адреса">
		
			<service id="10362" name="AddressService" operation="addressEntityItems" title="addressEntityItems"/>
			<service id="10363" name="AddressService" operation="addressEntityDataGet" title="addressEntityDataGet"/>
			<service id="10364" name="AddressService" operation="addressEntityDataUpdate" title="addressEntityDataUpdate"/>
			<service id="10365" name="AddressService" operation="addressEntityDataDelete" title="addressEntityDataDelete"/>
			<service id="10366" name="AddressService" operation="extraParamsUpdate" title="extraParamsUpdate"/>
			<service id="10367" name="AddressService" operation="extraParamUpdate" title="extraParamUpdate"/>
			<service id="167" name="AddressService" operation="houseDataGet" title="houseDataGet"/>
			<service id="217" name="AddressService" operation="houseIndexGet" title="houseIndexGet"/>
			<service id="10347" name="AddressService" operation="addressFormat" title="addressFormat"/>
			<service id="377" name="AddressService" operation="checkGarPluginInstalled" title="checkGarPluginInstalled"/>
			<service id="378" name="AddressService" operation="searchCoordinatesByHouseId" title="searchCoordinatesByHouseId"/>
			<service id="478" name="AddressService" operation="addressImport" title="addressImport"/>
		
			<group title="Страна">
				<action id="462" mask="module=admin;action=UpdateAddressDirectory;mode=20" title="Изменение страны"/>
				<service id="10341" name="AddressService" operation="countryGet" title="Получение страны"/>
				<service id="10342" name="AddressService" operation="searchCountryList" title="Получение списка стран"/>
			</group>
	
			<group title="Города">
				<action id="137" mask="module=admin;action=GetAddressDirectory;mode=5" title="Просмотр городов"/>
				<service id="137" name="AddressService" operation="cityList" title="Просмотр городов"/>
				<action id="138" mask="module=admin;action=UpdateAddressDirectory;mode=5" title="Изменение города"/>
				<service id="138" name="AddressService" operation="cityUpdate" title="Изменение города"/>
				<action id="139" mask="module=admin;action=DeleteAddressDirectory;mode=5" title="Удаление города"/>
				<service id="139" name="AddressService" operation="cityDelete" title="Удаление города"/>
				<service id="10343" name="AddressService" operation="cityGet" title="Просмотр города"/>
				<service id="10344" name="AddressService" operation="searchCityList" title="Поиск списка городов"/>
			</group>

			<group title="Улицы">
				<action id="143" mask="module=admin;action=GetAddressStreet;mode=7" title="Просмотр улиц"/>
				<service id="143" name="AddressService" operation="streetList|streetSearch" title="Просмотр улиц"/>
				<action id="144" mask="module=admin;action=UpdateAddressDirectory;mode=7" title="Изменение улицы"/>
				<service id="144" name="AddressService" operation="streetUpdate" title="Изменение улицы"/>
				<action id="145" mask="module=admin;action=DeleteAddressDirectory;mode=7" title="Удаление улицы"/>
				<service id="145" name="AddressService" operation="streetDelete" title="Удаление улицы"/>
				<service id="10345" name="AddressService" operation="searchStreetList" title="Получение списка улиц"/>
			</group>
	
			<group title="Районы">
				<service id="10368" name="AddressService" operation="searchAreaList" title="searchAreaList"/>
				<action id="140" mask="module=admin;action=GetAddressArea" title="Просмотр районов"/>
				<service id="140" name="AddressService" operation="areaList" title="Просмотр районов"/>
				<action id="141" mask="module=admin;action=UpdateAddressDirectory;mode=6" title="Изменение района"/>
				<service id="141" name="AddressService" operation="areaUpdate" title="Изменение района"/>
				<action id="142" mask="module=admin;action=DeleteAddressDirectory;mode=6" title="Удаление района"/>
				<service id="142" name="AddressService" operation="areaDelete" title="Удаление района"/>
			</group>
	
			<group title="Кварталы">
				<service id="10369" name="AddressService" operation="searchQuarterList" title="searchQuarterList"/>
				<action id="146" mask="module=admin;action=GetAddressQuarter" title="Просмотр кварталов"/>
				<service id="146" name="AddressService" operation="quarterList" title="Просмотр кварталов"/>
				<action id="147" mask="module=admin;action=UpdateAddressDirectory;mode=8" title="Изменение квартала"/>
				<service id="147" name="AddressService" operation="quarterUpdate" title="Изменение квартала"/>
				<action id="148" mask="module=admin;action=DeleteAddressDirectory;mode=8" title="Удаление квартала"/>
				<service id="148" name="AddressService" operation="quarterDelete" title="Удаление квартала"/>
			</group>
	
			<group title="Дома">
				<action id="149"  mask="module=admin;action=FilterAddressHouse" title="Просмотр домов"/>
				<service id="149" name="AddressService" operation="houseList" title="Просмотр домов"/>
				<action id="150"  mask="module=admin;action=UpdateAddressHouse" title="Изменение дома"/>
				<service id="150" name="AddressService" operation="houseUpdate" title="Изменение дома"/>
				<action id="463"  mask="module=admin;action=DeleteAddressHouse" title="Удаление дома"/>
	            <service id="463" name="AddressService" operation="houseDelete" title="Удаление дома"/>
				<service id="10346" name="AddressService" operation="houseGet" title="Просмотр дома"/>
			</group>		

		</group>

		<group title="Рассылки">
			<action id="151" mask="module=admin;action=ListDirectory;mode=10" title="Просмотр рассылок"/>
			<action id="152" mask="module=admin;action=UpdateDirectoryItem;mode=10" title="Изменение рассылки"/>
			<action id="153" mask="module=admin;action=DeleteDirectoryItem;mode=10" title="Удаление рассылки"/>
		</group>

		<group title="Обслуживание договора">
			<action id="205" mask="module=admin;action=ListDirectory;mode=11" title="Просмотр обслуживающих"/>
			<action id="206" mask="module=admin;action=UpdateDirectoryItem;mode=11" title="Изменение обслуживающего"/>
			<action id="207" mask="module=admin;action=DeleteDirectoryItem;mode=11" title="Удаление обслуживающего"/>
		</group>

		<group title="Значения списков">
			<action id="208" mask="module=admin;action=ListValues" title="Просмотр значений списка"/>
			<service id="208" name="ContractParameterService" operation="contractParameterListItemList" title="Просмотр значений списка"/>
			<action id="469" mask="module=admin;action=GetCustomListValue" title="Просмотр пользовательских значений списка"/>
			<action id="209" mask="module=admin;action=DeleteListValue" title="Удаление значения списка"/>
			<service id="209" name="ContractParameterService" operation="contractParameterListItemDelete" title="Удаление значения списка"/>
			<action id="210" mask="module=admin;action=UpdateListValue" title="Изменение значения списка"/>
			<service id="210" name="ContractParameterService" operation="contractParameterListItemUpdate" title="Изменение значения списка"/>			
		</group>
		
		<group title="Значения мультисписков">
			<action id="466" mask="module=admin;action=MultiListValues" title="Просмотр значений мультисписка"/>
			<action id="470" mask="module=admin;action=GetCustomMultiListValue" title="Просмотр пользовательских значений мультисписка"/>
			<action id="467" mask="module=admin;action=DeleteMultiListValue" title="Удаление значения мультисписка"/>
			<action id="468" mask="module=admin;action=UpdateMultiListValue" title="Изменение значения мультисписка"/>
		</group>

		<group title="Скрипты поведения">
			<action id="172" mask="module=admin;action=ListDirectory;mode=15" title="Просмотр скриптов поведения"/>
			<action id="173" mask="module=admin;action=UpdateDirectoryItem;mode=15" title="Изменение скрипта поведения"/>
			<action id="174" mask="module=admin;action=DeleteDirectoryItem;mode=15" title="Удаление скрипта поведения"/>
		</group>

		<group title="Шаблоны договоров">
			<service id="1021" name="ContractPatternService" operation="numedNumberPatternList" title="Просмотр списка именованных шаблонов"/>
			<service id="1022" name="ContractPatternService" operation="updateNamedNumber" title="Изменение именованного шаблона"/>
			<service id="1023" name="ContractPatternService" operation="deleteNamedNumber" title="Удаление именованного шаблона"/>
			<service id="10327" name="ContractPatternService" operation="contractPatternlist" title="Получение списка шаблонов"/>
			<service id="274" name="ContractPatternService" operation="contractPatternTariffList" title="contractPatternTariffList"/>
			<service id="277" name="ContractPatternService" operation="contractPatternContractParameterList" title="contractPatternContractParameterList"/>
			<service id="33" name="ContractPatternService" operation="contractPatterns" title="contractPatterns"/>
			<service id="34" name="ContractPatternService" operation="patternGeneratorTitles" title="patternGeneratorTitles"/>
			<service id="35" name="ContractPatternService" operation="contractCommentPatternList" title="contractCommentPatternList"/>
			<service id="512" name="ContractPatternService" operation="patternDataGet" title="patternDataGet"/>
			<service id="513" name="ContractPatternService" operation="contractParameterGroupList" title="contractParameterGroupList"/>
			<service id="514" name="ContractPatternService" operation="patternSequenceGet" title="patternSequenceGet"/>
			<service id="515" name="ContractPatternService" operation="patternSequenceList" title="patternSequenceList"/>
			<service id="516" name="ContractPatternService" operation="patternGeneratorGet" title="patternGeneratorGet"/>
			<service id="517" name="ContractPatternService" operation="patternSequenceTitles" title="patternSequenceTitles"/>
			<service id="518" name="ContractPatternService" operation="patternGeneratorList" title="patternGeneratorList"/>
			<service id="519" name="ContractPatternService" operation="patternGeneratorUpdate" title="patternGeneratorUpdate"/>
			<service id="520" name="ContractPatternService" operation="patternSequenceUpdate" title="patternSequenceUpdate"/>		</group>
			<service id="10268" name="DirectoryService" operation="getVersion" title="Версия справочника"/>
			<service id="168" name="DirectoryService" operation="addressHouseDelete" title="addressHouseDelete"/>		
		</group>
		<group title="Справка/Лицензии">
			<service id="218" name="LicenseService" operation="licenseDataList" title="Список доступных лицензий"/>
			<service id="10211" name="LicenseService" operation="licenseDataGet" title="Просмотр состава лицензии"/>
			<service id="10212" name="LicenseService" operation="licenseDataLoad" title="Загрузить/перезагрузить лицензию"/>
			<service id="10214" name="LicenseService" operation="currentLicenseList" title="Состав выбранной лицензии"/>
			<service id="10209" name="LicenseService" operation="licenseDataActivate" title="Установить и активировать лицензию"/>
			<service id="10210" name="LicenseService" operation="licenseDataDelete" title="Удалить лицензию из базы"/>
			<service id="10208" name="LicenseService" operation="aboutGet" title="О программе"/>
			<service id="10335" name="LicenseService" operation="init" title="init"/>
		</group>

	<service id="10326" name="ContractService" operation="contractPatternGet" title="Запрос шаблона договора"/>
	<service id="158" name="ContractService" operation="contractPatternDelete" title="contractPatternDelete"/>
	<service id="10332" name="ContractService" operation="contractParameterPhoneUpdate" title="contractParameterPhoneUpdate"/>
	<service id="10333" name="ContractService" operation="contractParameterEmailUpdate" title="contractParameterEmailUpdate"/>
	<service id="10351" name="ContractService" operation="contractParameterDateUpdate" title="contractParameterDateUpdate"/>
	<service id="159" name="ContractService" operation="contractParameterHistoryList" title="contractParameterHistoryList"/>
	<service id="10352" name="ContractService" operation="contractCardList" title="contractCardList"/>
	<service id="10350" name="ContractService" operation="hasModuleInstance" title="hasModuleInstance"/>
	<service id="280" name="ContractService" operation="contractParameterMultiListUpdate" title="contractParameterMultiListUpdate"/>
	<service id="297" name="ContractService" operation="customerContractList" title="customerContractList"/>
	<service id="301" name="ContractService" operation="contractParameterList" title="contractParameterList"/>
	<service id="302" name="ContractService" operation="contractCreateValidateTariffs" title="contractCreateValidateTariffs"/>
	<service id="303" name="ContractService" operation="contractCreateValidateParameters" title="contractCreateValidateParameters"/>
	<service id="306" name="ContractService" operation="customerByAccount" title="customerByAccount"/>
	<service id="307" name="ContractService" operation="configParameterList" title="configParameterList"/>
	<service id="533" name="ContractService" operation="contractFaceUpdate" title="contractFaceUpdate"/>

	<service id="10348" name="MonitoringService" operation="componentList" title="componentList"/>
	
	<group title="Почтовая подсистема">
		<service id="10353" name="MailService" operation="mailComponentList" title="mailComponentList"/>
		<service id="10354" name="MailService" operation="mailList" title="mailList"/>
		<service id="10355" name="MailService" operation="configList" title="configList"/>
		<service id="10356" name="MailService" operation="mailConfigGet" title="mailConfigGet"/>
	</group>
	
	<service id="169" name="ContractPeriodService" operation="searchContractPeriodList" title="searchContractPeriodList"/>
	<service id="379" name="ContractPeriodService" operation="contractPeriodGet" title="contractPeriodGet"/>
	<service id="380" name="ContractPeriodService" operation="contractPeriodSearch" title="contractPeriodSearch"/>
	
	<service id="224" name="GlobalScriptService" operation="getGlobalScriptLinkList" title="getGlobalScriptLinkList"/>
	<service id="225" name="GlobalScriptService" operation="getInterfaceName" title="getInterfaceName"/>
	<service id="226" name="GlobalScriptService" operation="getSuperclassName" title="getSuperclassName"/>		
	<service id="337" name="GlobalScriptService" operation="getGlobalScriptLogList" title="getGlobalScriptLogList"/>
	<service id="338" name="GlobalScriptService" operation="getScriptLogTitleList" title="getScriptLogTitleList"/>

	<service id="339" name="CertificateService" operation="certificateGet" title="certificateGet"/>
	<service id="308" name="CertificateService" operation="keyGet" title="keyGet"/>
	<service id="309" name="CertificateService" operation="caCertList" title="caCertList"/>
	<service id="310" name="CertificateService" operation="checkKeystore" title="checkKeystore"/>
	<service id="311" name="CertificateService" operation="aliasEntryList" title="aliasEntryList"/>
	
	<service id="312" name="MQEventService" operation="searchMQEventList" title="searchMQEventList"/>
	<service id="313" name="MQServerService" operation="searchMQServerList" title="searchMQServerList"/>
	
	<service id="340" name="DialogConfigService" operation="dialogConfigGet" title="dialogConfigGet"/>
	
	<service id="381" name="CustomerService" operation="customerEmployeeUpdate" title="customerEmployeeUpdate"/>
	<service id="382" name="CustomerService" operation="customerEmployeeDelete" title="customerEmployeeDelete"/>
	<service id="479" name="CustomerService" operation="customerParameterGet" title="customerParameterGet"/>
	<service id="481" name="CustomerService" operation="customerNewSet" title="customerNewSet"/>
	<service id="489" name="CustomerService" operation="customerParameterUpdate" title="customerParameterUpdate"/>
	<service id="497" name="CustomerService" operation="customerUnlinkContract" title="customerUnlinkContract"/>
	<service id="498" name="CustomerService" operation="customerContracts" title="customerContracts"/>
	<service id="499" name="CustomerService" operation="customerEmails" title="customerEmails"/>
	<service id="500" name="CustomerService" operation="searchCustomerList" title="searchCustomerList"/>
	<service id="501" name="CustomerService" operation="customerPropertyParams" title="customerPropertyParams"/>
	<service id="502" name="CustomerService" operation="customerBankUpdate" title="customerBankUpdate"/>
	<service id="503" name="CustomerService" operation="customerAccounts" title="customerAccounts"/>
	<service id="504" name="CustomerService" operation="customerLinkSet" title="customerLinkSet"/>
	<service id="505" name="CustomerService" operation="customerSearch" title="customerSearch"/>
	<service id="506" name="CustomerService" operation="customerContactUpdate" title="customerContactUpdate"/>
	<service id="507" name="CustomerService" operation="customerParameterHistory" title="customerParameterHistory"/>

	<service id="521" name="CustomerParameterProviderService" operation="updateContractParameters" title="updateContractParameters"/>
	<service id="522" name="CustomerParameterProviderService" operation="searchParameters" title="searchParameters"/>
	<service id="523" name="CustomerParameterProviderService" operation="getParametersSearchImplementation" title="getParametersSearchImplementation"/>
	<service id="524" name="CustomerParameterProviderService" operation="searchParametersByINN" title="searchParametersByINN"/>
	<service id="525" name="CustomerParametersSearchService" operation="updateContractParameters" title="updateContractParameters"/>
	<service id="526" name="CustomerParametersSearchService" operation="searchParametersByINN" title="searchParametersByINN"/>
	<service id="527" name="CustomerParametersSearchService" operation="getParametersSearchImplementation" title="getParametersSearchImplementation"/>
	<service id="528" name="CustomerParametersSearchService" operation="searchParametersByOGRN" title="searchParametersByOGRN"/>
	
	<service id="383" name="IntegrationService" operation="getLoadPatternList" title="getLoadPatternList"/>
	<service id="384" name="IntegrationService" operation="searchRegistersRowList" title="searchRegistersRowList"/>
	
	<service id="385" name="LoaderService" operation="getContractPatternList" title="getContractPatternList"/>
	
	<service id="386" name="ResourceService" operation="ipCategoryRoot" title="ipCategoryRoot"/>
	<service id="387" name="ResourceService" operation="vlanCategoryRoot" title="vlanCategoryRoot"/>
	
	<service id="388" name="SearchService" operation="searchModules" title="searchModules"/>
	
	<service id="389" name="TableService" operation="tableDataSourceGet" title="tableDataSourceGet"/>
	<service id="390" name="TableService" operation="tableList" title="tableList"/>
	<service id="391" name="TableService" operation="tableComponentList" title="tableComponentList"/>

	<service id="392" name="UpdaterService" operation="updaterUnitItemSearch" title="updaterUnitItemSearch"/>
	
	<service id="397" name="ProductService" operation="productSpecActivationModeUpdate" title="productSpecActivationModeUpdate"/>
</actions>